Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.annotations
Enum FetchMode

    java.lang.Object
      java.lang.Enum<FetchMode>
          org.hibernate.annotations.FetchMode

All Implemented Interfaces:
  Serializable, Comparable<FetchMode>

    public enum FetchMode

extends Enum<FetchMode>

Fetch options on associations

Author:
  Emmanuel Bernard

Enum Constant Summary
`JOIN` use an outer join to load the related entities, collections or joins
`SELECT` use a select for each individual entity, collection, or join load
`SUBSELECT` use a subselect query to load the additional collections

Method Summary
`static FetchMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FetchMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SELECT

    public static final FetchMode SELECT

  use a select for each individual entity, collection, or join load

### JOIN

    public static final FetchMode JOIN

  use an outer join to load the related entities, collections or joins

### SUBSELECT

    public static final FetchMode SUBSELECT

  use a subselect query to load the additional collections

Method Detail

### values

    public static final FetchMode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(FetchMode c : FetchMode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static FetchMode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD